## org.apache.mahout.math.hadoop.similarity
Class RowSimilarityJob.CooccurrencesMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrenceArray,WeightedRowPair,Cooccurrence>
          org.apache.mahout.math.hadoop.similarity.RowSimilarityJob.CooccurrencesMapper

Enclosing class:
  RowSimilarityJob

    public static class RowSimilarityJob.CooccurrencesMapper

extends org.apache.hadoop.mapreduce.Mapper<VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrenceArray,WeightedRowPair,Cooccurrence>

maps all pairs of weighted entries of a column vector

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`RowSimilarityJob.CooccurrencesMapper()`

Method Summary
`protected void` `map(VarIntWritable column, org.apache.mahout.math.hadoop.similarity.WeightedOccurrenceArray weightedOccurrenceArray, org.apache.hadoop.mapreduce.Mapper.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSimilarityJob.CooccurrencesMapper

    public RowSimilarityJob.CooccurrencesMapper()

Method Detail

### map

    protected void map(VarIntWritable column,
                       org.apache.mahout.math.hadoop.similarity.WeightedOccurrenceArray weightedOccurrenceArray,
                       org.apache.hadoop.mapreduce.Mapper.Context ctx)
                throws java.io.IOException,
                       java.lang.InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<VarIntWritable,org.apache.mahout.math.hadoop.similarity.WeightedOccurrenceArray,WeightedRowPair,Cooccurrence>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.